Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 617720 - If a consumer registers w/ type=person shouldnt list --avail only offer rh-personal?
If a consumer registers w/ type=person shouldnt list --avail only offer rh-pe...
Status: RELEASE_PENDING
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 15:40 EDT by wes hayutin
Modified: 2015-05-14 11:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2010-07-23 15:40:12 EDT
[root@client01-rhel6-beta2 src]# ./subscription-manager-cli register --username=admin --pass=admin --type=person --force
8b9bd1b0-d91a-457c-8c01-08668ca60182 admin
[root@client01-rhel6-beta2 src]# ./subscription-manager-cli list --available
8b9bd1b0-d91a-457c-8c01-08668ca60182 <connection.UEPConnection instance at 0xa46a3cc>
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	RHEL for Physical Servers
ProductId:         	MKT-rhel-server          
PoolId:            	1                        
Quantity:          	10                       
Expires:           	2011-07-22               


ProductName:       	Basic RHEL Server        
ProductId:         	MKT-simple-rhel-server-mkt
PoolId:            	2                        
Quantity:          	10                       
Expires:           	2011-07-22               


ProductName:       	RHEL Personal            
ProductId:         	RH09XYU34                
PoolId:            	3                        
Quantity:          	10                       
Expires:           	2011-07-22               


ProductName:       	RHEL for Physical Servers ,2 Sockets, Standard Support with High
Availability,Load Balancing,Shared Storage,Large File Support,Smart
Management, Flexible Hypervisor(Unlimited)
ProductId:         	MKT-rhel-physical-2-socket
PoolId:            	4                        
Quantity:          	10                       
Expires:           	2011-07-22               


ProductName:       	RHEL for Physical Servers ,2 Sockets, L1-L3, Premium Support
ProductId:         	MKT-rhel-physical-servers-only
PoolId:            	5                        
Quantity:          	10                       
Expires:           	2011-07-22               


ProductName:       	RHEL for Physical Servers ,4 Sockets, L1-L3, Premium Support
ProductId:         	MKT-rhel-physical-2-sockets-premium
PoolId:            	6                        
Quantity:          	10                       
Expires:           	2011-07-22               


ProductName:       	RHEL for Physical Servers ,2 Sockets, L1-L3, Basic Support
ProductId:         	MKT-rhel-physical-2-sockets-basic
PoolId:            	7                        
Quantity:          	10                       
Expires:           	2011-07-22               


ProductName:       	RHEL for Premium Architectures
ProductId:         	MKT-rhel-premium         
PoolId:            	9                        
Quantity:          	10                       
Expires:           	2011-07-22               


ProductName:       	RHEL for Premium Architectures, 16 socket, L1-L3, Standard support
ProductId:         	MKT-rhel-prem-arch-16-socket-standard
PoolId:            	10                       
Quantity:          	10                       
Expires:           	2011-07-22               

[root@client01-rhel6-beta2 src]# ./subscription-manager-cli subscribe --pool=3
Comment 1 Devan Goodwin 2010-08-05 08:46:45 EDT
Switched in candlepin.git, products that do not specify a requires_consumer_type will now be assumed to require "system".

candlepin.git: 7cab612e66e843321ce33d7f093ceb8ed52a6dee
Comment 2 wes hayutin 2010-08-10 11:07:04 EDT
[root@client02-rhel6-beta2 src]# ./subscription-manager-cli register --username=admin --password=admin  --type=person
611edd12-ce24-4a4f-8e9e-755f5a4683ad admin
[root@client02-rhel6-beta2 src]# ./subscription-manager-cli list --available611edd12-ce24-4a4f-8e9e-755f5a4683ad
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	RHEL Personal            
ProductId:         	RH09XYU34                
PoolId:            	4                        
Quantity:          	10                       
Expires:           	2011-08-09               




[root@client02-rhel6-beta2 src]# ./subscription-manager-cli unregister[root@client02-rhel6-beta2 src]# ./subscription-manager-cli register --username=admin --password=admin  
0ed6c2bb-1ff0-411c-a522-fda789f6884c admin
[root@client02-rhel6-beta2 src]# ./subscription-manager-cli list --available0ed6c2bb-1ff0-411c-a522-fda789f6884c
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	RHEL for Physical Servers
ProductId:         	MKT-rhel-server          
PoolId:            	1                        
Quantity:          	10                       
Expires:           	2011-08-09               


ProductName:       	Basic RHEL Server        
ProductId:         	MKT-simple-rhel-server-mkt
PoolId:            	2                        
Quantity:          	10                       
Expires:           	2011-08-09
Comment 3 John Sefler 2011-05-04 10:40:14 EDT
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Note You need to log in before you can comment on or make changes to this bug.